# Package org.springframework.web.portlet.bind

Provides portlet-specific data binding functionality.

See: Description

Class Summary
Class | Description
--- | ---
PortletRequestDataBinder | Special `DataBinder` to perform data binding from portlet request parameters to JavaBeans, including support for multipart files.
PortletRequestParameterPropertyValues | PropertyValues implementation created from parameters in a PortletRequest.
PortletRequestUtils | Parameter extraction methods, for an approach distinct from data binding, in which parameters of specific types are required.

Exception Summary
Exception | Description
--- | ---
MissingPortletRequestParameterException | `PortletRequestBindingException` subclass that indicates a missing parameter.
PortletRequestBindingException | Fatal binding exception, thrown when we want to treat binding exceptions as unrecoverable.

## Package org.springframework.web.portlet.bind Description

Provides portlet-specific data binding functionality.